Index: tests/regression/Fragmentation/AnalyseFragmentationResults/post/LongRange/BondFragment_IndexedEnergy.dat
===================================================================
--- tests/regression/Fragmentation/AnalyseFragmentationResults/post/LongRange/BondFragment_IndexedEnergy.dat	(revision 47cee77c416ae305ae2648bbac752afcf74f0537)
+++ tests/regression/Fragmentation/AnalyseFragmentationResults/post/LongRange/BondFragment_IndexedEnergy.dat	(revision 16893fd85d85ee4277ce29485e83a7aa2cc43533)
@@ -1,23 +1,22 @@
-level	keyset	energy_total_value	energy_nuclear_repulsion_value	energy_electron_coulomb_value	energy_electron_exchange_value	energy_correlation_value	energy_overlap_value	energy_kinetic_value	energy_hcore_value
-	energy_total_contribution	energy_nuclear_repulsion_contribution	energy_electron_coulomb_contribution	energy_electron_exchange_contribution	energy_correlation_contribution	energy_overlap_contribution	energy_kinetic_contribution	energy_hcore_contribution
-1	{0}	-40.18038993	13.43691297	32.61702034	-6.564735648	0	5	20.10496802	-59.93976181	-40.18038993	13.43691297	32.61702034	-6.564735648	0	5	20.10496802	-59.93976181
-1	{1}	-40.18037566	13.43284734	32.61287197	-6.564210629	0	5	20.10403717	-59.93497935	-40.18037566	13.43284734	32.61287197	-6.564210629	0	5	20.10403717	-59.93497935
-1	{6}	-40.18038816	13.43640541	32.61650248	-6.564670102	0	5	20.1048518	-59.93916477	-40.18038816	13.43640541	32.61650248	-6.564670102	0	5	20.1048518	-59.93916477
-1	{7}	-40.18037566	13.43284739	32.61287198	-6.564210625	0	5	20.10403718	-59.93497938	-40.18037566	13.43284739	32.61287198	-6.564210625	0	5	20.10403718	-59.93497938
-1	{12}	-40.1803882	13.43640539	32.61650249	-6.564670114	0	5	20.1048518	-59.93916478	-40.1803882	13.43640539	32.61650249	-6.564670114	0	5	20.1048518	-59.93916478
-1	{13}	-40.18037741	13.4333549	32.61338975	-6.564276169	0	5	20.10415341	-59.93557635	-40.18037741	13.4333549	32.61338975	-6.564276169	0	5	20.10415341	-59.93557635
-2	{0,1}	-79.19642678	42.35948136	80.10518334	-12.46958252	0	9	39.6529433	-134.2486978	1.164338809	15.48972104	14.87529104	0.6593637551	0	-1	-0.5560619005	-14.37395661
-2	{1,6}	-79.19642785	42.35875999	80.10443682	-12.46951436	0	9	39.65281877	-134.2478739	1.16433598	15.48950723	14.87506237	0.6593663752	0	-1	-0.556070196	-14.3737298
-2	{6,7}	-79.19643465	42.34889743	80.09464967	-12.46914677	0	9	39.65205031	-134.2374678	1.164329166	15.47964462	14.8652752	0.6597339595	0	-1	-0.5568386634	-14.36332365
-2	{7,12}	-79.19642787	42.35876	80.10443681	-12.46951436	0	9	39.65281878	-134.2478739	1.164335984	15.48950723	14.87506234	0.6593663753	0	-1	-0.556070194	-14.37372979
-2	{12,13}	-79.1964268	42.35948134	80.10518329	-12.46958253	0	9	39.6529433	-134.2486978	1.164338811	15.48972106	14.87529105	0.6593637551	0	-1	-0.5560619006	-14.37395663
-3	{0,1,6}	-118.2143337	83.02424587	139.3349982	-18.37392136	0	13	59.20309407	-220.3029223	-0.00185473094	11.73885186	11.73825005	0.0009648831856	0	6.128431096e-14	0.001369177547	-11.74132994
-3	{1,6,7}	-118.2143329	83.00532869	139.3159874	-18.3730179	0	13	59.20137036	-220.2826859	-0.001858588768	11.73407669	11.73340335	0.0009731205293	0	2.220446049e-14	0.001353065623	-11.73650894
-3	{6,7,12}	-118.2143443	83.00921025	139.3199987	-18.37347761	0	13	59.20217941	-220.2872172	-0.001857447363	11.73440021	11.73378416	0.0009728981725	0	-1.776356839e-15	0.001347497463	-11.73685485
-3	{7,12,13}	-118.2143223	83.02036394	139.3309866	-18.37346168	0	13	59.20228505	-220.2983906	-0.00185586366	11.73852798	11.73786894	0.0009650996732	0	4.52970994e-14	0.001374760814	-11.7409837
-4	{0,1,6,7}	-157.2317294	131.5769343	206.4667833	-24.27836282	0	17	78.75319844	-314.2517405	0.0005093680071	7.906119722	7.920234521	-0.0009379134797	0	-1.367794766e-13	0.001552790401	-7.914006271
-4	{1,6,7,12}	-157.2317328	131.5720127	206.4618851	-24.27828635	0	17	78.75305209	-314.2467242	0.0005098108823	7.90637118	7.92054877	-0.0009376090888	0	4.440892099e-15	0.001552634778	-7.9142889
-4	{6,7,12,13}	-157.2317294	131.5769339	206.466783	-24.27836283	0	17	78.75319846	-314.2517402	0.0005093666463	7.906119734	7.92023458	-0.0009379106696	0	-9.769962617e-15	0.001552785876	-7.914006304
-5	{0,1,6,7,12}	-196.249041	186.4739652	279.9482597	-30.18381183	0	21	98.30535286	-414.5490799	8.824046188e-05	6.330346864	6.335578619	-0.0001805574638	0	6.039613254e-14	0.0004726852261	-6.333301028
-5	{1,6,7,12,13}	-196.2490297	186.4700285	279.9441482	-30.18335192	0	21	98.30454332	-414.5444706	8.813837279e-05	6.330292143	6.33547872	-0.0001803421296	0	-7.016609516e-14	0.0004721795945	-6.333223371
-6	{0,1,6,7,12,13}	-235.2663343	246.4308225	358.49334	-36.08884479	0	25	117.8569475	-519.9077735	3.680050327e-06	5.058841552	5.062817253	3.261021964e-05	0	-2.842170943e-14	0.000103409913	-5.060947278
+index	level	keyset	energy_total_value	energy_nuclear_repulsion_value	energy_electron_coulomb_value	energy_electron_exchange_value	energy_correlation_value	energy_overlap_value	energy_kinetic_value	energy_hcore_value	energy_total_contribution	energy_nuclear_repulsion_contribution	energy_electron_coulomb_contribution	energy_electron_exchange_contribution	energy_correlation_contribution	energy_overlap_contribution	energy_kinetic_contribution	energy_hcore_contribution
+0	1	{0}	-40.18038993	13.43691297	32.61702034	-6.564735648	0	5	20.10496802	-59.93976181	-40.18038993	13.43691297	32.61702034	-6.564735648	0	5	20.10496802	-59.93976181
+1	1	{1}	-40.18037566	13.43284734	32.61287197	-6.564210629	0	5	20.10403717	-59.93497935	-40.18037566	13.43284734	32.61287197	-6.564210629	0	5	20.10403717	-59.93497935
+2	1	{6}	-40.18038816	13.43640541	32.61650248	-6.564670102	0	5	20.1048518	-59.93916477	-40.18038816	13.43640541	32.61650248	-6.564670102	0	5	20.1048518	-59.93916477
+3	1	{7}	-40.18037566	13.43284739	32.61287198	-6.564210625	0	5	20.10403718	-59.93497938	-40.18037566	13.43284739	32.61287198	-6.564210625	0	5	20.10403718	-59.93497938
+4	1	{12}	-40.1803882	13.43640539	32.61650249	-6.564670114	0	5	20.1048518	-59.93916478	-40.1803882	13.43640539	32.61650249	-6.564670114	0	5	20.1048518	-59.93916478
+5	1	{13}	-40.18037741	13.4333549	32.61338975	-6.564276169	0	5	20.10415341	-59.93557635	-40.18037741	13.4333549	32.61338975	-6.564276169	0	5	20.10415341	-59.93557635
+6	2	{0,1}	-79.19642678	42.35948136	80.10518334	-12.46958252	0	9	39.6529433	-134.2486978	1.164338809	15.48972104	14.87529104	0.6593637551	0	-1	-0.5560619005	-14.37395661
+7	2	{1,6}	-79.19642785	42.35875999	80.10443682	-12.46951436	0	9	39.65281877	-134.2478739	1.16433598	15.48950723	14.87506237	0.6593663752	0	-1	-0.556070196	-14.3737298
+8	2	{6,7}	-79.19643465	42.34889743	80.09464967	-12.46914677	0	9	39.65205031	-134.2374678	1.164329166	15.47964462	14.8652752	0.6597339595	0	-1	-0.5568386634	-14.36332365
+9	2	{7,12}	-79.19642787	42.35876	80.10443681	-12.46951436	0	9	39.65281878	-134.2478739	1.164335984	15.48950723	14.87506234	0.6593663753	0	-1	-0.556070194	-14.37372979
+10	2	{12,13}	-79.1964268	42.35948134	80.10518329	-12.46958253	0	9	39.6529433	-134.2486978	1.164338811	15.48972106	14.87529105	0.6593637551	0	-1	-0.5560619006	-14.37395663
+11	3	{0,1,6}	-118.2143337	83.02424587	139.3349982	-18.37392136	0	13	59.20309407	-220.3029223	-0.00185473094	11.73885186	11.73825005	0.0009648831856	0	6.128431096e-14	0.001369177547	-11.74132994
+12	3	{1,6,7}	-118.2143329	83.00532869	139.3159874	-18.3730179	0	13	59.20137036	-220.2826859	-0.001858588768	11.73407669	11.73340335	0.0009731205293	0	2.220446049e-14	0.001353065623	-11.73650894
+13	3	{6,7,12}	-118.2143443	83.00921025	139.3199987	-18.37347761	0	13	59.20217941	-220.2872172	-0.001857447363	11.73440021	11.73378416	0.0009728981725	0	-1.776356839e-15	0.001347497463	-11.73685485
+14	3	{7,12,13}	-118.2143223	83.02036394	139.3309866	-18.37346168	0	13	59.20228505	-220.2983906	-0.00185586366	11.73852798	11.73786894	0.0009650996732	0	4.52970994e-14	0.001374760814	-11.7409837
+15	4	{0,1,6,7}	-157.2317294	131.5769343	206.4667833	-24.27836282	0	17	78.75319844	-314.2517405	0.0005093680071	7.906119722	7.920234521	-0.0009379134797	0	-1.367794766e-13	0.001552790401	-7.914006271
+16	4	{1,6,7,12}	-157.2317328	131.5720127	206.4618851	-24.27828635	0	17	78.75305209	-314.2467242	0.0005098108823	7.90637118	7.92054877	-0.0009376090888	0	4.440892099e-15	0.001552634778	-7.9142889
+17	4	{6,7,12,13}	-157.2317294	131.5769339	206.466783	-24.27836283	0	17	78.75319846	-314.2517402	0.0005093666463	7.906119734	7.92023458	-0.0009379106696	0	-9.769962617e-15	0.001552785876	-7.914006304
+18	5	{0,1,6,7,12}	-196.249041	186.4739652	279.9482597	-30.18381183	0	21	98.30535286	-414.5490799	8.824046188e-05	6.330346864	6.335578619	-0.0001805574638	0	6.039613254e-14	0.0004726852261	-6.333301028
+19	5	{1,6,7,12,13}	-196.2490297	186.4700285	279.9441482	-30.18335192	0	21	98.30454332	-414.5444706	8.813837279e-05	6.330292143	6.33547872	-0.0001803421296	0	-7.016609516e-14	0.0004721795945	-6.333223371
+20	6	{0,1,6,7,12,13}	-235.2663343	246.4308225	358.49334	-36.08884479	0	25	117.8569475	-519.9077735	3.680050327e-06	5.058841552	5.062817253	3.261021964e-05	0	-2.842170943e-14	0.000103409913	-5.060947278
Index: tests/regression/Fragmentation/AnalyseFragmentationResults/post/ShortRange/BondFragment_IndexedEnergy.dat
===================================================================
--- tests/regression/Fragmentation/AnalyseFragmentationResults/post/ShortRange/BondFragment_IndexedEnergy.dat	(revision 47cee77c416ae305ae2648bbac752afcf74f0537)
+++ tests/regression/Fragmentation/AnalyseFragmentationResults/post/ShortRange/BondFragment_IndexedEnergy.dat	(revision 16893fd85d85ee4277ce29485e83a7aa2cc43533)
@@ -1,23 +1,22 @@
-level	keyset	energy_total_value	energy_nuclear_repulsion_value	energy_electron_coulomb_value	energy_electron_exchange_value	energy_correlation_value	energy_overlap_value	energy_kinetic_value	energy_hcore_value
-	energy_total_contribution	energy_nuclear_repulsion_contribution	energy_electron_coulomb_contribution	energy_electron_exchange_contribution	energy_correlation_contribution	energy_overlap_contribution	energy_kinetic_contribution	energy_hcore_contribution
-1	{0}	-40.18038993	13.43691297	32.61702034	-6.564735648	0	5	20.10496802	-59.93976181	-40.18038993	13.43691297	32.61702034	-6.564735648	0	5	20.10496802	-59.93976181
-1	{1}	-40.18037566	13.43284734	32.61287197	-6.564210629	0	5	20.10403717	-59.93497935	-40.18037566	13.43284734	32.61287197	-6.564210629	0	5	20.10403717	-59.93497935
-1	{6}	-40.18038816	13.43640541	32.61650248	-6.564670102	0	5	20.1048518	-59.93916477	-40.18038816	13.43640541	32.61650248	-6.564670102	0	5	20.1048518	-59.93916477
-1	{7}	-40.18037566	13.43284739	32.61287198	-6.564210625	0	5	20.10403718	-59.93497938	-40.18037566	13.43284739	32.61287198	-6.564210625	0	5	20.10403718	-59.93497938
-1	{12}	-40.1803882	13.43640539	32.61650249	-6.564670114	0	5	20.1048518	-59.93916478	-40.1803882	13.43640539	32.61650249	-6.564670114	0	5	20.1048518	-59.93916478
-1	{13}	-40.18037741	13.4333549	32.61338975	-6.564276169	0	5	20.10415341	-59.93557635	-40.18037741	13.4333549	32.61338975	-6.564276169	0	5	20.10415341	-59.93557635
-2	{0,1}	-79.19642678	42.35948136	80.10518334	-12.46958252	0	9	39.6529433	-134.2486978	1.164338809	15.48972104	14.87529104	0.6593637551	0	-1	-0.5560619005	-14.37395661
-2	{1,6}	-79.19642785	42.35875999	80.10443682	-12.46951436	0	9	39.65281877	-134.2478739	1.16433598	15.48950723	14.87506237	0.6593663752	0	-1	-0.556070196	-14.3737298
-2	{6,7}	-79.19643465	42.34889743	80.09464967	-12.46914677	0	9	39.65205031	-134.2374678	1.164329166	15.47964462	14.8652752	0.6597339595	0	-1	-0.5568386634	-14.36332365
-2	{7,12}	-79.19642787	42.35876	80.10443681	-12.46951436	0	9	39.65281878	-134.2478739	1.164335984	15.48950723	14.87506234	0.6593663753	0	-1	-0.556070194	-14.37372979
-2	{12,13}	-79.1964268	42.35948134	80.10518329	-12.46958253	0	9	39.6529433	-134.2486978	1.164338811	15.48972106	14.87529105	0.6593637551	0	-1	-0.5560619006	-14.37395663
-3	{0,1,6}	-118.2143337	83.02424587	139.3349982	-18.37392136	0	13	59.20309407	-220.3029223	-0.00185473094	11.73885186	11.73825005	0.0009648831856	0	6.128431096e-14	0.001369177547	-11.74132994
-3	{1,6,7}	-118.2143329	83.00532869	139.3159874	-18.3730179	0	13	59.20137036	-220.2826859	-0.001858588768	11.73407669	11.73340335	0.0009731205293	0	2.220446049e-14	0.001353065623	-11.73650894
-3	{6,7,12}	-118.2143443	83.00921025	139.3199987	-18.37347761	0	13	59.20217941	-220.2872172	-0.001857447363	11.73440021	11.73378416	0.0009728981725	0	-1.776356839e-15	0.001347497463	-11.73685485
-3	{7,12,13}	-118.2143223	83.02036394	139.3309866	-18.37346168	0	13	59.20228505	-220.2983906	-0.00185586366	11.73852798	11.73786894	0.0009650996732	0	4.52970994e-14	0.001374760814	-11.7409837
-4	{0,1,6,7}	-157.2317294	131.5769343	206.4667833	-24.27836282	0	17	78.75319844	-314.2517405	0.0005093680071	7.906119722	7.920234521	-0.0009379134797	0	-1.367794766e-13	0.001552790401	-7.914006271
-4	{1,6,7,12}	-157.2317328	131.5720127	206.4618851	-24.27828635	0	17	78.75305209	-314.2467242	0.0005098108823	7.90637118	7.92054877	-0.0009376090888	0	4.440892099e-15	0.001552634778	-7.9142889
-4	{6,7,12,13}	-157.2317294	131.5769339	206.466783	-24.27836283	0	17	78.75319846	-314.2517402	0.0005093666463	7.906119734	7.92023458	-0.0009379106696	0	-9.769962617e-15	0.001552785876	-7.914006304
-5	{0,1,6,7,12}	-196.249041	186.4739652	279.9482597	-30.18381183	0	21	98.30535286	-414.5490799	8.824046188e-05	6.330346864	6.335578619	-0.0001805574638	0	6.039613254e-14	0.0004726852261	-6.333301028
-5	{1,6,7,12,13}	-196.2490297	186.4700285	279.9441482	-30.18335192	0	21	98.30454332	-414.5444706	8.813837279e-05	6.330292143	6.33547872	-0.0001803421296	0	-7.016609516e-14	0.0004721795945	-6.333223371
-6	{0,1,6,7,12,13}	-235.2663343	246.4308225	358.49334	-36.08884479	0	25	117.8569475	-519.9077735	3.680050327e-06	5.058841552	5.062817253	3.261021964e-05	0	-2.842170943e-14	0.000103409913	-5.060947278
+index	level	keyset	energy_total_value	energy_nuclear_repulsion_value	energy_electron_coulomb_value	energy_electron_exchange_value	energy_correlation_value	energy_overlap_value	energy_kinetic_value	energy_hcore_value	energy_total_contribution	energy_nuclear_repulsion_contribution	energy_electron_coulomb_contribution	energy_electron_exchange_contribution	energy_correlation_contribution	energy_overlap_contribution	energy_kinetic_contribution	energy_hcore_contribution
+0	1	{0}	-40.18038993	13.43691297	32.61702034	-6.564735648	0	5	20.10496802	-59.93976181	-40.18038993	13.43691297	32.61702034	-6.564735648	0	5	20.10496802	-59.93976181
+1	1	{1}	-40.18037566	13.43284734	32.61287197	-6.564210629	0	5	20.10403717	-59.93497935	-40.18037566	13.43284734	32.61287197	-6.564210629	0	5	20.10403717	-59.93497935
+2	1	{6}	-40.18038816	13.43640541	32.61650248	-6.564670102	0	5	20.1048518	-59.93916477	-40.18038816	13.43640541	32.61650248	-6.564670102	0	5	20.1048518	-59.93916477
+3	1	{7}	-40.18037566	13.43284739	32.61287198	-6.564210625	0	5	20.10403718	-59.93497938	-40.18037566	13.43284739	32.61287198	-6.564210625	0	5	20.10403718	-59.93497938
+4	1	{12}	-40.1803882	13.43640539	32.61650249	-6.564670114	0	5	20.1048518	-59.93916478	-40.1803882	13.43640539	32.61650249	-6.564670114	0	5	20.1048518	-59.93916478
+5	1	{13}	-40.18037741	13.4333549	32.61338975	-6.564276169	0	5	20.10415341	-59.93557635	-40.18037741	13.4333549	32.61338975	-6.564276169	0	5	20.10415341	-59.93557635
+6	2	{0,1}	-79.19642678	42.35948136	80.10518334	-12.46958252	0	9	39.6529433	-134.2486978	1.164338809	15.48972104	14.87529104	0.6593637551	0	-1	-0.5560619005	-14.37395661
+7	2	{1,6}	-79.19642785	42.35875999	80.10443682	-12.46951436	0	9	39.65281877	-134.2478739	1.16433598	15.48950723	14.87506237	0.6593663752	0	-1	-0.556070196	-14.3737298
+8	2	{6,7}	-79.19643465	42.34889743	80.09464967	-12.46914677	0	9	39.65205031	-134.2374678	1.164329166	15.47964462	14.8652752	0.6597339595	0	-1	-0.5568386634	-14.36332365
+9	2	{7,12}	-79.19642787	42.35876	80.10443681	-12.46951436	0	9	39.65281878	-134.2478739	1.164335984	15.48950723	14.87506234	0.6593663753	0	-1	-0.556070194	-14.37372979
+10	2	{12,13}	-79.1964268	42.35948134	80.10518329	-12.46958253	0	9	39.6529433	-134.2486978	1.164338811	15.48972106	14.87529105	0.6593637551	0	-1	-0.5560619006	-14.37395663
+11	3	{0,1,6}	-118.2143337	83.02424587	139.3349982	-18.37392136	0	13	59.20309407	-220.3029223	-0.00185473094	11.73885186	11.73825005	0.0009648831856	0	6.128431096e-14	0.001369177547	-11.74132994
+12	3	{1,6,7}	-118.2143329	83.00532869	139.3159874	-18.3730179	0	13	59.20137036	-220.2826859	-0.001858588768	11.73407669	11.73340335	0.0009731205293	0	2.220446049e-14	0.001353065623	-11.73650894
+13	3	{6,7,12}	-118.2143443	83.00921025	139.3199987	-18.37347761	0	13	59.20217941	-220.2872172	-0.001857447363	11.73440021	11.73378416	0.0009728981725	0	-1.776356839e-15	0.001347497463	-11.73685485
+14	3	{7,12,13}	-118.2143223	83.02036394	139.3309866	-18.37346168	0	13	59.20228505	-220.2983906	-0.00185586366	11.73852798	11.73786894	0.0009650996732	0	4.52970994e-14	0.001374760814	-11.7409837
+15	4	{0,1,6,7}	-157.2317294	131.5769343	206.4667833	-24.27836282	0	17	78.75319844	-314.2517405	0.0005093680071	7.906119722	7.920234521	-0.0009379134797	0	-1.367794766e-13	0.001552790401	-7.914006271
+16	4	{1,6,7,12}	-157.2317328	131.5720127	206.4618851	-24.27828635	0	17	78.75305209	-314.2467242	0.0005098108823	7.90637118	7.92054877	-0.0009376090888	0	4.440892099e-15	0.001552634778	-7.9142889
+17	4	{6,7,12,13}	-157.2317294	131.5769339	206.466783	-24.27836283	0	17	78.75319846	-314.2517402	0.0005093666463	7.906119734	7.92023458	-0.0009379106696	0	-9.769962617e-15	0.001552785876	-7.914006304
+18	5	{0,1,6,7,12}	-196.249041	186.4739652	279.9482597	-30.18381183	0	21	98.30535286	-414.5490799	8.824046188e-05	6.330346864	6.335578619	-0.0001805574638	0	6.039613254e-14	0.0004726852261	-6.333301028
+19	5	{1,6,7,12,13}	-196.2490297	186.4700285	279.9441482	-30.18335192	0	21	98.30454332	-414.5444706	8.813837279e-05	6.330292143	6.33547872	-0.0001803421296	0	-7.016609516e-14	0.0004721795945	-6.333223371
+20	6	{0,1,6,7,12,13}	-235.2663343	246.4308225	358.49334	-36.08884479	0	25	117.8569475	-519.9077735	3.680050327e-06	5.058841552	5.062817253	3.261021964e-05	0	-2.842170943e-14	0.000103409913	-5.060947278