Index: tests/regression/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-basis.at
===================================================================
--- tests/regression/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-basis.at	(revision 0d97b4b7169d73c32a31da6e1baa10b740848f7e)
+++ tests/regression/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-basis.at	(revision 23110a4092c457be30e89f88181ea2df46c504e5)
@@ -28,9 +28,8 @@
 
 AT_SETUP([Parser - MPQC - set basis with Undo])
-AT_XFAIL_IF([/bin/true])
 AT_KEYWORDS([options mpqc set-mpqc-parameters basis undo])
 
 AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/test.xyz -v 1 --set-parser-parameters "mpqc" --parser-parameters "basis = 4-31G" --undo], 0, [stdout], [ignore])
-AT_CHECK([fgrep "name = \"4-31G\"" test.in], 0, [ignore], [ignore])
+AT_CHECK([fgrep "name = \"3-21G\"" test.in], 0, [ignore], [ignore])
 
 AT_CLEANUP
Index: tests/regression/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-maxiterations.at
===================================================================
--- tests/regression/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-maxiterations.at	(revision 0d97b4b7169d73c32a31da6e1baa10b740848f7e)
+++ tests/regression/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-maxiterations.at	(revision 23110a4092c457be30e89f88181ea2df46c504e5)
@@ -28,9 +28,8 @@
 
 AT_SETUP([Parser - MPQC - set maxiter with Undo])
-AT_XFAIL_IF([/bin/true])
 AT_KEYWORDS([options mpqc set-mpqc-parameters maxiter undo])
 
 AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/test.xyz -v 1 --set-parser-parameters "mpqc" --parser-parameters "maxiter = 499" --undo], 0, [stdout], [ignore])
-AT_CHECK([fgrep "maxiter = 499" test.in], 0, [ignore], [ignore])
+AT_CHECK([fgrep "maxiter = 1000" test.in], 0, [ignore], [ignore])
 
 AT_CLEANUP
Index: tests/regression/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc.at
===================================================================
--- tests/regression/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc.at	(revision 0d97b4b7169d73c32a31da6e1baa10b740848f7e)
+++ tests/regression/Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc.at	(revision 23110a4092c457be30e89f88181ea2df46c504e5)
@@ -21,5 +21,5 @@
 AT_KEYWORDS([options mpqc set-mpqc-parameters basis maxiter theory])
 
-AT_CHECK([../../molecuilder -i ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/testCLHF.in -v 1 --set-parser-parameters "mpqc" --parser-parameters "basis = 4-31G" "maxiter=499" "theory=CLKS"], 0, [stdout], [ignore])
+AT_CHECK([../../molecuilder -i ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/testCLHF.in -v 1 --set-parser-parameters "mpqc" --parser-parameters "basis=4-31G" "maxiter=499" "theory=CLKS"], 0, [stdout], [ignore])
 AT_CHECK([file=testCLHF.in; diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/post/testCLHF.in], 0, [ignore], [ignore])
 
@@ -28,9 +28,8 @@
 
 AT_SETUP([Parser - MPQC - check in file with Undo])
-AT_XFAIL_IF([/bin/true])
 AT_KEYWORDS([options mpqc set-mpqc-parameters basis maxiter theory undo])
 
-AT_CHECK([../../molecuilder -i ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/testCLHF.in -v 1 --set-parser-parameters "mpqc" --parser-parameters "basis = 4-31G" "maxiter=499" "theory=CLKS" --undo], 0, [stdout], [ignore])
-AT_CHECK([file=testCLHF.in; diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/post/testCLHF.in], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/testCLHF.in -v 1 --set-parser-parameters "mpqc" --parser-parameters "basis=4-31G" "maxiter=499" "theory=CLKS" --undo], 0, [stdout], [ignore])
+AT_CHECK([file=testCLHF.in; diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/testCLHF.in], 0, [ignore], [ignore])
 
 AT_CLEANUP
@@ -40,5 +39,5 @@
 AT_KEYWORDS([options mpqc set-mpqc-parameters basis maxiter theory redo])
 
-AT_CHECK([../../molecuilder -i ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/testCLHF.in -v 1 --set-parser-parameters "mpqc" --parser-parameters "basis = 4-31G" "maxiter=499" "theory=CLKS" --undo --redo], 0, [stdout], [ignore])
+AT_CHECK([../../molecuilder -i ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/pre/testCLHF.in -v 1 --set-parser-parameters "mpqc" --parser-parameters "basis=4-31G" "maxiter=499" "theory=CLKS" --undo --redo], 0, [stdout], [ignore])
 AT_CHECK([file=testCLHF.in; diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/SetParameters/Mpqc/post/testCLHF.in], 0, [ignore], [ignore])
 