Index: tests/regression/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-save.at
===================================================================
--- tests/regression/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-save.at	(revision e1f414fde2f0df0c1558a2520784b558bea73472)
+++ tests/regression/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-save.at	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
@@ -4,4 +4,5 @@
 AT_KEYWORDS([parser tremolo save parse-tremolo-potentials])
 
+AT_CHECK([/bin/cp ${abs_top_srcdir}/tests/regression/Parser/Tremolo-Potentials/pre/argon.potentials .], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -v 2 --parse-tremolo-potentials argon.potentials -i test.data -l ${abs_top_srcdir}/tests/regression/Parser/Tremolo-Potentials/pre/test.xyz], 0, [ignore], [ignore])
 AT_CHECK([file=test.data; diff -w -I '#.*' $file ${abs_top_srcdir}/tests/regression/Parser/Tremolo-Potentials/post/test.data], 0, [ignore], [ignore])
Index: tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-select-molecules-by-formula.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-select-molecules-by-formula.at	(revision e1f414fde2f0df0c1558a2520784b558bea73472)
+++ tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-select-molecules-by-formula.at	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
@@ -35,27 +35,28 @@
 AT_KEYWORDS([selection molecule select-molecules-by-formula undo])
 
+comparisonfile=empty.xyz
 regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByFormula"
 srcfile=mix.xyz
 testfile=test.xyz
-targetfile=empty.xyz
+targetfile=empty1.xyz
 AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
 AT_CHECK([../../molecuilder -i $testfile -I --select-molecules-by-formula H2O --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$comparisonfile], 0, [ignore], [ignore])
 
 regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByFormula"
 srcfile=mix.xyz
 testfile=test.xyz
-targetfile=empty.xyz
+targetfile=empty2.xyz
 AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
 AT_CHECK([../../molecuilder -i $testfile -I --select-molecules-by-formula "C2H5(OH)" --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$comparisonfile], 0, [ignore], [ignore])
 
 regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByFormula"
 srcfile=mix.xyz
 testfile=test.xyz
-targetfile=empty.xyz
+targetfile=empty3.xyz
 AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
 AT_CHECK([../../molecuilder -i $testfile -I --select-molecules-by-formula C6H6 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$comparisonfile], 0, [ignore], [ignore])
 
 AT_CLEANUP
Index: tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-unselect-molecules-by-formula.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-unselect-molecules-by-formula.at	(revision e1f414fde2f0df0c1558a2520784b558bea73472)
+++ tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-unselect-molecules-by-formula.at	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
@@ -35,27 +35,28 @@
 AT_KEYWORDS([unselection molecule unselect-molecules-by-formula undo])
 
+comparisonfile=mix.xyz
 regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByFormula"
 srcfile=mix.xyz
 testfile=test.xyz
-targetfile=mix.xyz
+targetfile=mix1.xyz
 AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
 AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecules-by-formula H2O --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$comparisonfile], 0, [ignore], [ignore])
 
 regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByFormula"
 srcfile=mix.xyz
 testfile=test.xyz
-targetfile=mix.xyz
+targetfile=mix2.xyz
 AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
 AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecules-by-formula "C2H5(OH)" --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$comparisonfile], 0, [ignore], [ignore])
 
 regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByFormula"
 srcfile=mix.xyz
 testfile=test.xyz
-targetfile=mix.xyz
+targetfile=mix3.xyz
 AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
 AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecules-by-formula C6H6 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$comparisonfile], 0, [ignore], [ignore])
 
 AT_CLEANUP
Index: tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-backward.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-backward.at	(revision e1f414fde2f0df0c1558a2520784b558bea73472)
+++ tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-backward.at	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
@@ -27,19 +27,20 @@
 AT_KEYWORDS([selection molecule select-molecule-by-order undo])
 
+comparisonfile=empty.xyz
 regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
 srcfile=twowater.xyz
 testfile=test.xyz
-targetfile=empty.xyz
+targetfile=empty1.xyz
 AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
 AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -2 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$comparisonfile], 0, [ignore], [ignore])
 
 regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
 srcfile=twowater.xyz
 testfile=test.xyz
-targetfile=empty.xyz
+targetfile=empty2.xyz
 AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
 AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order -1 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$comparisonfile], 0, [ignore], [ignore])
 
 AT_CLEANUP
Index: tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-forward.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-forward.at	(revision e1f414fde2f0df0c1558a2520784b558bea73472)
+++ tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-forward.at	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
@@ -27,19 +27,20 @@
 AT_KEYWORDS([selection molecule select-molecule-by-order undo])
 
+comparisonfile=empty.xyz
 regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
 srcfile=twowater.xyz
 testfile=test.xyz
-targetfile=empty.xyz
+targetfile=empty1.xyz
 AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
 AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 1 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$comparisonfile], 0, [ignore], [ignore])
 
 regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
 srcfile=twowater.xyz
 testfile=test.xyz
-targetfile=empty.xyz
+targetfile=empty2.xyz
 AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
 AT_CHECK([../../molecuilder -i $testfile -I --select-molecule-by-order 2 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$comparisonfile], 0, [ignore], [ignore])
 
 AT_CLEANUP
Index: tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-backward.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-backward.at	(revision e1f414fde2f0df0c1558a2520784b558bea73472)
+++ tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-backward.at	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
@@ -27,19 +27,20 @@
 AT_KEYWORDS([unselection molecule unselect-molecule-by-order undo])
 
+comparisonfile=twowater.xyz
 regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
 srcfile=twowater.xyz
 testfile=test.xyz
-targetfile=twowater.xyz
+targetfile=twowater1.xyz
 AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
 AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -2 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$comparisonfile], 0, [ignore], [ignore])
 
 regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
 srcfile=twowater.xyz
 testfile=test.xyz
-targetfile=twowater.xyz
+targetfile=twowater2.xyz
 AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
 AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order -1 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$comparisonfile], 0, [ignore], [ignore])
 
 AT_CLEANUP
Index: tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-forward.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-forward.at	(revision e1f414fde2f0df0c1558a2520784b558bea73472)
+++ tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-forward.at	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
@@ -27,19 +27,20 @@
 AT_KEYWORDS([unselection molecule unselect-molecule-by-order undo])
 
+comparisonfile=twowater.xyz
 regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
 srcfile=twowater.xyz
 testfile=test.xyz
-targetfile=twowater.xyz
+targetfile=twowater1.xyz
 AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
 AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 1 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$comparisonfile], 0, [ignore], [ignore])
 
 regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
 srcfile=twowater.xyz
 testfile=test.xyz
-targetfile=twowater.xyz
+targetfile=twowater2.xyz
 AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
 AT_CHECK([../../molecuilder -i $testfile -I --select-all-molecules --unselect-molecule-by-order 2 --undo -s $targetfile], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$comparisonfile], 0, [ignore], [ignore])
 
 AT_CLEANUP