Index: LinearAlgebra/src/LinearAlgebra/MatrixContent.cpp
===================================================================
--- LinearAlgebra/src/LinearAlgebra/MatrixContent.cpp	(revision cec7a55776b5068824e2e8a898b8c9ba9b3b6137)
+++ LinearAlgebra/src/LinearAlgebra/MatrixContent.cpp	(revision 26108c891400d13c6ff2a37395d1a3566003a995)
@@ -29,5 +29,4 @@
 #include <gsl/gsl_vector.h>
 #include <cmath>
-#include <cassert>
 #include <iostream>
 #include <limits>
@@ -487,5 +486,5 @@
  * \return new matrix that is transposed of this.
  */
-MatrixContent MatrixContent::transpose() const
+MatrixContent MatrixContent::transposed() const
 {
   gsl_matrix *res = gsl_matrix_alloc(columns, rows);  // column and row dimensions exchanged!
@@ -539,5 +538,5 @@
       +toString(V.getRows())+"!="+toString(rows)+".");
   ASSERT(S.getDimension() == columns,
-      "MatrixContent::performSingularValueDecomposition() - Vector S does not haver the right dimension "
+      "MatrixContent::performSingularValueDecomposition() - Vector S does not have the right dimension "
       +toString(S.getDimension())+"!="+toString(columns)+".");
   gsl_matrix *A = content;
Index: LinearAlgebra/src/LinearAlgebra/MatrixContent.hpp
===================================================================
--- LinearAlgebra/src/LinearAlgebra/MatrixContent.hpp	(revision cec7a55776b5068824e2e8a898b8c9ba9b3b6137)
+++ LinearAlgebra/src/LinearAlgebra/MatrixContent.hpp	(revision 26108c891400d13c6ff2a37395d1a3566003a995)
@@ -94,5 +94,5 @@
 
   // Transformations
-  MatrixContent transpose() const;
+  MatrixContent transposed() const;
   MatrixContent &transpose();
   gsl_vector* transformToEigenbasis();
Index: LinearAlgebra/src/LinearAlgebra/RealSpaceMatrix.cpp
===================================================================
--- LinearAlgebra/src/LinearAlgebra/RealSpaceMatrix.cpp	(revision cec7a55776b5068824e2e8a898b8c9ba9b3b6137)
+++ LinearAlgebra/src/LinearAlgebra/RealSpaceMatrix.cpp	(revision 26108c891400d13c6ff2a37395d1a3566003a995)
@@ -267,7 +267,7 @@
 }
 
-RealSpaceMatrix RealSpaceMatrix::transpose() const
-{
-  RealSpaceMatrix res = RealSpaceMatrix(const_cast<const MatrixContent *>(content)->transpose());
+RealSpaceMatrix RealSpaceMatrix::transposed() const
+{
+  RealSpaceMatrix res = RealSpaceMatrix(content->transposed());
   return res;
 }
Index: LinearAlgebra/src/LinearAlgebra/RealSpaceMatrix.hpp
===================================================================
--- LinearAlgebra/src/LinearAlgebra/RealSpaceMatrix.hpp	(revision cec7a55776b5068824e2e8a898b8c9ba9b3b6137)
+++ LinearAlgebra/src/LinearAlgebra/RealSpaceMatrix.hpp	(revision 26108c891400d13c6ff2a37395d1a3566003a995)
@@ -138,5 +138,5 @@
    * Calculate the transpose of the matrix.
    */
-  RealSpaceMatrix transpose() const;
+  RealSpaceMatrix transposed() const;
   RealSpaceMatrix &transpose();
 
Index: LinearAlgebra/src/unittests/MatrixContentSymmetricUnitTest.cpp
===================================================================
--- LinearAlgebra/src/unittests/MatrixContentSymmetricUnitTest.cpp	(revision cec7a55776b5068824e2e8a898b8c9ba9b3b6137)
+++ LinearAlgebra/src/unittests/MatrixContentSymmetricUnitTest.cpp	(revision 26108c891400d13c6ff2a37395d1a3566003a995)
@@ -225,5 +225,5 @@
     }
   // transpose
-  MatrixContent res = ((const MatrixContent)*m).transpose();
+  MatrixContent res = (*m).transposed();
   CPPUNIT_ASSERT( *n == res );
   // second transpose
Index: LinearAlgebra/src/unittests/MatrixContentUnitTest.cpp
===================================================================
--- LinearAlgebra/src/unittests/MatrixContentUnitTest.cpp	(revision cec7a55776b5068824e2e8a898b8c9ba9b3b6137)
+++ LinearAlgebra/src/unittests/MatrixContentUnitTest.cpp	(revision 26108c891400d13c6ff2a37395d1a3566003a995)
@@ -239,8 +239,8 @@
     }
   // transpose
-  MatrixContent res = ((const MatrixContent)(*m)).transpose();
+  MatrixContent res = (*m).transposed();
   CPPUNIT_ASSERT( *n == res );
   // second transpose
-  MatrixContent res2 = ((const MatrixContent)res).transpose();
+  MatrixContent res2 = res.transposed();
   CPPUNIT_ASSERT( *m == res2 );
   delete n;
Index: LinearAlgebra/src/unittests/RealSpaceMatrixUnitTest.cpp
===================================================================
--- LinearAlgebra/src/unittests/RealSpaceMatrixUnitTest.cpp	(revision cec7a55776b5068824e2e8a898b8c9ba9b3b6137)
+++ LinearAlgebra/src/unittests/RealSpaceMatrixUnitTest.cpp	(revision 26108c891400d13c6ff2a37395d1a3566003a995)
@@ -281,5 +281,5 @@
   // ... or transposed
   res.setRotation(M_PI/3.,0.,0.);
-  CPPUNIT_ASSERT_EQUAL(inverse, ((const RealSpaceMatrix) res).transpose());
+  CPPUNIT_ASSERT_EQUAL(inverse, res.transposed());
 }
 