Index: src/FunctionApproximation/Extractors.cpp
===================================================================
--- src/FunctionApproximation/Extractors.cpp	(revision d5ca1af98e88b536fe2483fab7d7d2b875452e83)
+++ src/FunctionApproximation/Extractors.cpp	(revision 67044a4c103c09d1763d0f00ce6a8943f837f6a3)
@@ -53,4 +53,6 @@
 #include "FunctionApproximation/Extractors.hpp"
 #include "FunctionApproximation/FunctionArgument.hpp"
+
+#include "Fragmentation/Homology/HomologyGraph.hpp"
 
 using namespace boost::assign;
@@ -159,5 +161,6 @@
 FunctionModel::list_of_arguments_t Extractors::reorderArgumentsByParticleTypes(
     const FunctionModel::list_of_arguments_t &listargs,
-    const ParticleTypes_t &_types
+    const ParticleTypes_t &_types,
+    const HomologyGraph &_bindingmodel
     )
 {
@@ -302,5 +305,6 @@
 FunctionModel::list_of_arguments_t Extractors::filterArgumentsByParticleTypes(
     const FunctionModel::arguments_t &args,
-    const ParticleTypes_t &_types
+    const ParticleTypes_t &_types,
+    const HomologyGraph &_bindingmodel
     )
 {
@@ -361,5 +365,5 @@
   singlelist_allargs.push_back(allargs);
   FunctionModel::list_of_arguments_t sortedargs =
-      reorderArgumentsByParticleTypes(singlelist_allargs, _types);
+      reorderArgumentsByParticleTypes(singlelist_allargs, _types, _bindingmodel);
   ASSERT( sortedargs.size() == (size_t)1,
       "Extractors::filterArgumentsByParticleTypes() - reordering did not generate a single list.");
Index: src/FunctionApproximation/Extractors.hpp
===================================================================
--- src/FunctionApproximation/Extractors.hpp	(revision d5ca1af98e88b536fe2483fab7d7d2b875452e83)
+++ src/FunctionApproximation/Extractors.hpp	(revision 67044a4c103c09d1763d0f00ce6a8943f837f6a3)
@@ -20,4 +20,5 @@
 
 class Fragment;
+class HomologyGraph;
 
 /** Namespace containing all simple extractor functions.
@@ -109,5 +110,6 @@
   FunctionModel::list_of_arguments_t reorderArgumentsByParticleTypes(
       const FunctionModel::list_of_arguments_t &eachargs,
-      const ParticleTypes_t &_types
+      const ParticleTypes_t &_types,
+      const HomologyGraph &_bindingmodel
       );
 
@@ -123,5 +125,6 @@
   FunctionModel::list_of_arguments_t filterArgumentsByParticleTypes(
       const FunctionModel::arguments_t &args,
-      const ParticleTypes_t &_types
+      const ParticleTypes_t &_types,
+      const HomologyGraph &_bindingmodel
       );
 
Index: src/Potentials/Specifics/ConstantPotential.cpp
===================================================================
--- src/Potentials/Specifics/ConstantPotential.cpp	(revision d5ca1af98e88b536fe2483fab7d7d2b875452e83)
+++ src/Potentials/Specifics/ConstantPotential.cpp	(revision 67044a4c103c09d1763d0f00ce6a8943f837f6a3)
@@ -202,5 +202,5 @@
       boost::bind(&Extractors::filterArgumentsByParticleTypes,
           _1,
-          getParticleTypes());
+          boost::cref(getParticleTypes()), boost::cref(getBindingModel()));
   return returnfunction;
 }
Index: src/Potentials/Specifics/FourBodyPotential_Torsion.cpp
===================================================================
--- src/Potentials/Specifics/FourBodyPotential_Torsion.cpp	(revision d5ca1af98e88b536fe2483fab7d7d2b875452e83)
+++ src/Potentials/Specifics/FourBodyPotential_Torsion.cpp	(revision 67044a4c103c09d1763d0f00ce6a8943f837f6a3)
@@ -287,6 +287,6 @@
         boost::bind(&Extractors::filterArgumentsByParticleTypes,
             _1,
-            getParticleTypes()),
-        getParticleTypes()
+            boost::cref(getParticleTypes()), boost::cref(getBindingModel())),
+        boost::cref(getParticleTypes()), boost::cref(getBindingModel())
       );
   return returnfunction;
Index: src/Potentials/Specifics/ManyBodyPotential_Tersoff.cpp
===================================================================
--- src/Potentials/Specifics/ManyBodyPotential_Tersoff.cpp	(revision d5ca1af98e88b536fe2483fab7d7d2b875452e83)
+++ src/Potentials/Specifics/ManyBodyPotential_Tersoff.cpp	(revision 67044a4c103c09d1763d0f00ce6a8943f837f6a3)
@@ -732,5 +732,5 @@
       boost::bind(&Extractors::filterArgumentsByParticleTypes,
           _1,
-          getParticleTypes());
+          boost::cref(getParticleTypes()), boost::cref(getBindingModel()));
   return returnfunction;
 }
Index: src/Potentials/Specifics/PairPotential_Harmonic.cpp
===================================================================
--- src/Potentials/Specifics/PairPotential_Harmonic.cpp	(revision d5ca1af98e88b536fe2483fab7d7d2b875452e83)
+++ src/Potentials/Specifics/PairPotential_Harmonic.cpp	(revision 67044a4c103c09d1763d0f00ce6a8943f837f6a3)
@@ -230,5 +230,5 @@
       boost::bind(&Extractors::filterArgumentsByParticleTypes,
           _1,
-          getParticleTypes());
+          boost::cref(getParticleTypes()), boost::cref(getBindingModel()));
   return returnfunction;
 }
Index: src/Potentials/Specifics/PairPotential_LennardJones.cpp
===================================================================
--- src/Potentials/Specifics/PairPotential_LennardJones.cpp	(revision d5ca1af98e88b536fe2483fab7d7d2b875452e83)
+++ src/Potentials/Specifics/PairPotential_LennardJones.cpp	(revision 67044a4c103c09d1763d0f00ce6a8943f837f6a3)
@@ -237,5 +237,5 @@
       boost::bind(&Extractors::filterArgumentsByParticleTypes,
           _1,
-          getParticleTypes());
+          boost::cref(getParticleTypes()), boost::cref(getBindingModel()));
   return returnfunction;
 }
Index: src/Potentials/Specifics/PairPotential_Morse.cpp
===================================================================
--- src/Potentials/Specifics/PairPotential_Morse.cpp	(revision d5ca1af98e88b536fe2483fab7d7d2b875452e83)
+++ src/Potentials/Specifics/PairPotential_Morse.cpp	(revision 67044a4c103c09d1763d0f00ce6a8943f837f6a3)
@@ -256,5 +256,5 @@
       boost::bind(&Extractors::filterArgumentsByParticleTypes,
           _1,
-          getParticleTypes());
+          boost::cref(getParticleTypes()), boost::cref(getBindingModel()));
   return returnfunction;
 }
Index: src/Potentials/Specifics/ThreeBodyPotential_Angle.cpp
===================================================================
--- src/Potentials/Specifics/ThreeBodyPotential_Angle.cpp	(revision d5ca1af98e88b536fe2483fab7d7d2b875452e83)
+++ src/Potentials/Specifics/ThreeBodyPotential_Angle.cpp	(revision 67044a4c103c09d1763d0f00ce6a8943f837f6a3)
@@ -267,6 +267,6 @@
         boost::bind(&Extractors::filterArgumentsByParticleTypes,
             _1,
-            getParticleTypes()),
-        getParticleTypes()
+            boost::cref(getParticleTypes()), boost::cref(getBindingModel())),
+        boost::cref(getParticleTypes()), boost::cref(getBindingModel())
       );
   return returnfunction;