Index: ThirdParty/mpqc_open/src/lib/chemistry/qc/basis/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/chemistry/qc/basis/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
+++ ThirdParty/mpqc_open/src/lib/chemistry/qc/basis/Makefile.am	(revision 72461c230b879463ca4b149c0f92b5c856de3385)
@@ -104,5 +104,7 @@
 btest_SOURCES = \
 	chemistry/qc/basis/btest.cc
+btest_CPPFLAGS = $(AM_CPPFLAGS) -DSRCDIR=\"$(srcdir)/chemistry/qc/basis\"
 btest_LDADD = \
         $(BASISLIBS)
 
+EXTRA_DIST += ./chemistry/qc/basis/f77sym.in
Index: ThirdParty/mpqc_open/src/lib/chemistry/qc/cints/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/chemistry/qc/cints/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
+++ ThirdParty/mpqc_open/src/lib/chemistry/qc/cints/Makefile.am	(revision 72461c230b879463ca4b149c0f92b5c856de3385)
@@ -96,6 +96,8 @@
 cintstest_SOURCES = \
 	chemistry/qc/cints/cintstest.cc
+cintstest_CPPFLAGS = $(AM_CPPFLAGS) -DSRCDIR=\"$(srcdir)/chemistry/qc/cints\"
 cintstest_LDADD = \
         $(CINTSLIBS)
 
 
+EXTRA_DIST += ./chemistry/qc/cints/cintstest.in
Index: ThirdParty/mpqc_open/src/lib/chemistry/qc/dft/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/chemistry/qc/dft/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
+++ ThirdParty/mpqc_open/src/lib/chemistry/qc/dft/Makefile.am	(revision 72461c230b879463ca4b149c0f92b5c856de3385)
@@ -73,4 +73,5 @@
 dfttest_SOURCES = \
 	chemistry/qc/dft/dfttest.cc
+dfttest_CPPFLAGS = $(AM_CPPFLAGS) -DSRCDIR=\"$(srcdir)/chemistry/qc/dft\"
 dfttest_LDADD = \
         $(DFTLIBS)
@@ -84,2 +85,3 @@
 	-lm
 
+EXTRA_DIST += ./chemistry/qc/dft/dfttest.in
Index: ThirdParty/mpqc_open/src/lib/chemistry/qc/intv3/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/chemistry/qc/intv3/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
+++ ThirdParty/mpqc_open/src/lib/chemistry/qc/intv3/Makefile.am	(revision 72461c230b879463ca4b149c0f92b5c856de3385)
@@ -96,5 +96,7 @@
 inttest_SOURCES = \
 	chemistry/qc/intv3/inttest.cc
+inttest_CPPFLAGS = $(AM_CPPFLAGS) -DSRCDIR=\"$(srcdir)/chemistry/qc/intv3\"
 inttest_LDADD = \
         $(INTV3LIBS)
 
+EXTRA_DIST += ./chemistry/qc/intv3/inttest.in
Index: ThirdParty/mpqc_open/src/lib/chemistry/qc/mbpt/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/chemistry/qc/mbpt/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
+++ ThirdParty/mpqc_open/src/lib/chemistry/qc/mbpt/Makefile.am	(revision 72461c230b879463ca4b149c0f92b5c856de3385)
@@ -79,5 +79,7 @@
 mbpttest_SOURCES = \
 	chemistry/qc/mbpt/mbpttest.cc
+mbpttest_CPPFLAGS = $(AM_CPPFLAGS) -DSRCDIR=\"$(srcdir)/chemistry/qc/mbpt\"
 mbpttest_LDADD = \
         $(MBPTLIBS)
 
+EXTRA_DIST += ./chemistry/qc/mbpt/mbpttest.in
Index: ThirdParty/mpqc_open/src/lib/chemistry/qc/mbptr12/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/chemistry/qc/mbptr12/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
+++ ThirdParty/mpqc_open/src/lib/chemistry/qc/mbptr12/Makefile.am	(revision 72461c230b879463ca4b149c0f92b5c856de3385)
@@ -134,6 +134,9 @@
 mbptr12test_SOURCES = \
 	chemistry/qc/mbptr12/mbptr12test.cc
+mbptr12test_CPPFLAGS = $(AM_CPPFLAGS) -DSRCDIR=\"$(srcdir)/chemistry/qc/mbptr12\"
 mbptr12test_LDADD = \
         $(MBPTR12LIBS)
 
  
+EXTRA_DIST += ./chemistry/qc/mbptr12/mbptr12test.in
+EXTRA_DIST += ./chemistry/qc/mbptr12/f77sym.in
Index: ThirdParty/mpqc_open/src/lib/chemistry/qc/psi/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/chemistry/qc/psi/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
+++ ThirdParty/mpqc_open/src/lib/chemistry/qc/psi/Makefile.am	(revision 72461c230b879463ca4b149c0f92b5c856de3385)
@@ -65,6 +65,8 @@
 psitest_SOURCES = \
 	chemistry/qc/psi/psitest.cc
+psitest_CPPFLAGS = $(AM_CPPFLAGS) -DSRCDIR=\"$(srcdir)/chemistry/qc/psi\"
 psitest_LDADD = \
         $(PSILIBS)
 
 
+EXTRA_DIST += ./chemistry/qc/psi/psi.in
Index: ThirdParty/mpqc_open/src/lib/chemistry/qc/scf/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/chemistry/qc/scf/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
+++ ThirdParty/mpqc_open/src/lib/chemistry/qc/scf/Makefile.am	(revision 72461c230b879463ca4b149c0f92b5c856de3385)
@@ -98,6 +98,8 @@
 scftest_SOURCES = \
 	chemistry/qc/scf/scftest.cc
+scftest_CPPFLAGS = $(AM_CPPFLAGS) -DSRCDIR=\"$(srcdir)/chemistry/qc/scf\"
 scftest_LDADD = \
         $(SCFLIBS)
 
 
+EXTRA_DIST += ./chemistry/qc/scf/mpqc.in
Index: ThirdParty/mpqc_open/src/lib/chemistry/qc/wfn/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/chemistry/qc/wfn/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
+++ ThirdParty/mpqc_open/src/lib/chemistry/qc/wfn/Makefile.am	(revision 72461c230b879463ca4b149c0f92b5c856de3385)
@@ -75,4 +75,5 @@
 wfntest_SOURCES = \
 	chemistry/qc/wfn/wfntest.cc
+wfntest_CPPFLAGS = $(AM_CPPFLAGS) -DSRCDIR=\"$(srcdir)/chemistry/qc/wfn\"
 wfntest_LDADD = \
         $(WFNLIBS)